sdr::POCSAGDump Class Reference
Data handling nodes.

A simple extention of the `POCSAG` node that prints the received messages to a `std::ostream`. More...

`#include <pocsag.hh>`

Inheritance diagram for sdr::POCSAGDump:

## Public Member Functions

| POCSAGDump (std::ostream &stream)
| Constructor. More...
void | handleMessages ()
| Dumps the received messages. More...
Public Member Functions inherited from sdr::POCSAG
| POCSAG ()
| Constructor. More...
void | config (const Config &src_cfg)
| Needs to be implemented by any sub-type to check and perform the configuration of the node. More...
void | process (const Buffer< uint8_t > &buffer, bool allow_overwrite)
| Needs to be implemented by any sub-type to process the received data. More...
Public Member Functions inherited from sdr::Sink< uint8_t >
| Sink ()
| Constructor. More...
virtual | ~Sink ()
| Drestructor. More...
virtual void | handleBuffer (const RawBuffer &buffer, bool allow_overwrite)
| Re-implemented from `SinkBase`. More...
Public Member Functions inherited from sdr::SinkBase
| SinkBase ()
| Constructor. More...
virtual | ~SinkBase ()
| Destructor. More...

## Protected Attributes

std::ostream & | _stream
| The output stream. More...
Protected Attributes inherited from sdr::POCSAG
State | _state
| The current state. More...
uint64_t | _bits
| The last received bits. More...
uint8_t | _bitcount
| The number of received bits. More...
uint8_t | _slot
| The current slot. More...
Message | _message
| The current message. More...
std::list< Message > | _queue
| The completed messages. More...

## Additional Inherited Members

Protected Types inherited from sdr::POCSAG
enum | State { WAIT, RECEIVE, CHECK_CONTINUE }
| The possible states of the POGSAC receiver. More...
Protected Member Functions inherited from sdr::POCSAG
void | _process_word (uint32_t word)
| Process a POGSAC word. More...
void | _reset_message ()
| Clear the message. More...
void | _finish_message ()
| Add the (non-empty) message to the queue. More...

## Detailed Description

A simple extention of the `POCSAG` node that prints the received messages to a `std::ostream`.

## Constructor & Destructor Documentation

POCSAGDump::POCSAGDump | ( | std::ostream & | stream | ) |

Constructor.

Parameters

  stream | Specifies the stream, the received messages are serialized into.

## Member Function Documentation

void POCSAGDump::handleMessages | ( |  | ) |

virtual

Dumps the received messages.

Reimplemented from sdr::POCSAG.

## Member Data Documentation

std::ostream& sdr::POCSAGDump::_stream

protected

The output stream.

The documentation for this class was generated from the following files:

- /Users/hannes/Uni/Elektronik/sdr/libsdr/src/pocsag.hh
- /Users/hannes/Uni/Elektronik/sdr/libsdr/src/pocsag.cc